Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
cryptobox.cpp File Reference
`#include <botan/cryptobox.h>`
`#include <botan/cipher_mode.h>`
`#include <botan/mac.h>`
`#include <botan/rng.h>`
`#include <botan/pbkdf.h>`
`#include <botan/data_src.h>`
`#include <botan/pem.h>`
`#include <botan/loadstor.h>`
`#include <botan/mem_ops.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan
namespace | Botan::CryptoBox

## Functions
std::string | Botan::CryptoBox::decrypt (const std::string &input, const std::string &passphrase)
std::string | Botan::CryptoBox::decrypt (const uint8_t input[], size_t input_len, const std::string &passphrase)
secure_vector< uint8_t > | Botan::CryptoBox::decrypt_bin (const std::string &input, const std::string &passphrase)
secure_vector< uint8_t > | Botan::CryptoBox::decrypt_bin (const uint8_t input[], size_t input_len, const std::string &passphrase)
std::string | Botan::CryptoBox::encrypt (const uint8_t input[], size_t input_len, const std::string &passphrase, RandomNumberGenerator &rng)